summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2019-04-02 23:33:34 -0500
committerTim Harder <radhermit@gentoo.org>2019-04-02 23:33:34 -0500
commit6c12528eef49dff44bcd6398c5cf415046acbbe2 (patch)
treebaaece1ecdb2cfbd538ab606d02c130c5e8206ff
parentapp-misc/dateutils: version bump to 0.4.6 (diff)
downloadgentoo-6c12528eef49dff44bcd6398c5cf415046acbbe2.tar.gz
gentoo-6c12528eef49dff44bcd6398c5cf415046acbbe2.tar.bz2
gentoo-6c12528eef49dff44bcd6398c5cf415046acbbe2.zip
sys-process/parallel: version bump to 20190322
Signed-off-by: Tim Harder <radhermit@gentoo.org>
-rw-r--r--sys-process/parallel/Manifest1
-rw-r--r--sys-process/parallel/parallel-20190322.ebuild40
2 files changed, 41 insertions, 0 deletions
diff --git a/sys-process/parallel/Manifest b/sys-process/parallel/Manifest
index 99f1fa4b5df..512996a38b8 100644
--- a/sys-process/parallel/Manifest
+++ b/sys-process/parallel/Manifest
@@ -1,3 +1,4 @@
DIST parallel-20181122.tar.bz2 1797525 BLAKE2B 59fa14fffd205ec9846c6054e2b6832f4480ed9ba78466a0d3a3004e0aa4bb3d21f533d49d705d091bd8d55406f74404555453892036a21b8b4b69c8ca83458b SHA512 f832f4d5ca1b7f6149e73074b03fa7ce34e66b0e7d579651a1b52959dde658448da0ec3c9b066275c146a1a39715881237cc42f58a0c413d04240f0c15a98ed7
DIST parallel-20181222.tar.bz2 1799554 BLAKE2B f74fb22f7212b7bb7a521f3ec0cadc6b1906442a1b0b4070c6411c0cafc7f566014f2daad6b4aa8808a1f72ad964cfcaa01968f0a06760c631d5020ab0a219b5 SHA512 07f85f22fc55d5e873a110901c65e61b330d6e6c92c4c3123efa0af43c2d1e714fdd44b02fced3742333cace33cd381554135b126f4b797d38f8fc12bf4cda59
DIST parallel-20190122.tar.bz2 1793632 BLAKE2B 202efa49921c467fd6d59421c474d142e49e173695dab7ae6a1f55b4c396d9eed170dd13991e818c240a65c260406c02b01fbb8f4fd6858234a4c6bf445aed49 SHA512 b7def4c76b0d6f9f5d65940ed87455ec34527c72675e8ccbf28a69758cf807098d5bb73dd16fb50051ffe75481770d35c96aa67b493998ea724f3a939d5e6ba2
+DIST parallel-20190322.tar.bz2 2009995 BLAKE2B 41f066ac0969be9da782be16011c4d72977bbd11dcaebe858db0f0803eeb31a0d8aeafc425632a23863f2296dcfd03d286ece359f75ee2ff0c3f38fb4399ef85 SHA512 4d16a9be66f3f72334afcae7121ab55f0118c142a31fb6120d2fbee30eeee06252de9ea519cfc62d366f9f4b2e28e6180dc3f7ea591debe25ee66969f7d9a87f
diff --git a/sys-process/parallel/parallel-20190322.ebuild b/sys-process/parallel/parallel-20190322.ebuild
new file mode 100644
index 00000000000..2ff42c43ef5
--- /dev/null
+++ b/sys-process/parallel/parallel-20190322.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A shell tool for executing jobs in parallel locally or on remote machines"
+HOMEPAGE="https://www.gnu.org/software/parallel/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="dev-lang/perl:=
+ dev-perl/Devel-Size
+ virtual/perl-Data-Dumper
+ virtual/perl-File-Temp
+ virtual/perl-IO"
+DEPEND="${RDEPEND}"
+
+DOCS="NEWS README"
+
+src_configure() {
+ econf --docdir="${EPREFIX}"/usr/share/doc/${PF}/html
+}
+
+src_install() {
+ default
+
+ # See src/Makefile.am for this one:
+ rm -f "${ED}"/usr/bin/sem || die
+ dosym ${PN} /usr/bin/sem
+}
+
+pkg_postinst() {
+ elog "To distribute jobs to remote machines you'll need these dependencies"
+ elog " net-misc/openssh"
+ elog " net-misc/rsync"
+}